# KiBot output for generating PCB 3D models in various formats (Requires KiCad 9+)
# https://kibot.readthedocs.io/en/latest/configuration/outputs/export_3d.html

kibot:
  version: 1

outputs:
  - name: @NAME@
    output_id: @NAME@
    comment: '@COMMENT@'
    type: export_3d
    category: '@DIR@'
    dir: '@DIR@'
    options:
      format: @FORMAT@
      origin: drill
      output: '%f-%I%v.%x'

      # Configurable for higher-fidelity outputs (e.g. gITF)
      include_silkscreen: @INCLUDE_SILKSCREEN@
      include_soldermask: @INCLUDE_SOLDERMASK@
      include_tracks: @INCLUDE_TRACKS@

definitions:
  NAME: step
  COMMENT: PCB 3D model in STEP format
  DIR: models
  FORMAT: step
  INCLUDE_SILKSCREEN: false
  INCLUDE_SOLDERMASK: false
  INCLUDE_TRACKS: false
